精华内容
下载资源
问答
  • 第 第 PAGE 1 页 共 NUMPAGES 1 页 linuxredis启动关闭命令 Linux下redis的启动和关闭通过命令来实现下面由小编为大家整理了linuxredis启动关闭命令的相关知识希望对大家有帮助! linuxredis启动关闭命令 linux...
  • 脚本功能:实现redis单机多实例情况下的正常启动关闭、重启单个redis实例。完成系统标准服务的以下常用功能: start|stop|status|restart注:redis程序代码屏蔽了HUP信号,不支持在线重载配置文件,故去掉reload...

    脚本功能:

    实现redis单机多实例情况下的正常启动、关闭、重启单个redis实例。完成系统标准服务的以下常用功能:  start|stop|status|restart

    注:redis程序代码屏蔽了HUP信号,不支持在线重载配置文件,故去掉reload功能。

    本脚本优化了redis停止和重启逻辑,解决原redis脚本关闭时会造成数据丢失问题。

    脚本名称:

    redis           #在多实例里可以按实例端口,如:redis-6001命名,以区分不同实例

    脚本用法:

    1.在/etc/rc.d/init.d/目录下新建redis文件,将脚本内容拷贝进去

    2.  chkconfig --add redis   #注册服务

    3. chkconfig --level 345 redis on  #指定服务在3、4、5级别运行

    4.本人redis程序安装在/usr/local/redis目录下,配置为/usr/local/redis/bin/redis.conf,如安装在其他目录,请自行修改

    脚本参数:

    redis -p [port]  [start|stop|status|restart]

    参数说明:

    -p [port] :指定redis实例的端口,用于多实例的服务器

    start:启动指定端口的Redis服务

    stop:停止指定端口的Redis服务

    status:进程状态

    restart:先关闭Redis服务,再启动Redis服务

    注:不指定端口时,脚本默认指定启动6379端口的redis

    用法实例:

    service redis -p 6381 start  #启动6381端口实例的redis

    /etc/init.d/redis  start  #默认启动6379端口实例的redis

    脚本内容:

    #!/bin/bash

    #chkconfig: 2345 55 25

    #description: Starts,stops and restart the redis-server

    #Ver:1.1

    #Write by ND chengh(200808)

    #usage: ./script_name -p [port] {start|stop|status|restart}

    # Source function library.

    . /etc/rc.d/init.d/functions

    # Source networking configuration.

    . /etc/sysconfig/network

    # Check networking is up.

    [ "$NETWORKING" = "no" ] && exit 0

    RETVAL=0

    REDIS_PORT=6379

    PID=

    if [ "$1" = "-p" ]; then

    REDIS_PORT=$2

    shift 2

    fi

    REDIS_DIR="/usr/local/redis"

    REDIS="${REDIS_DIR}/bin/redis-server"

    PROG=$(basename $REDIS)

    CONF="${REDIS_DIR}/bin/redis-${REDIS_PORT}.conf"

    if [ ! -f $CONF ]; then

    if [ -f "${REDIS_DIR}/bin/redis.conf" ];then

    CONF="${REDIS_DIR}/bin/redis.conf"

    else

    echo -n $"$CONF not exist.";warning;echo

    exit 1

    fi

    fi

    PID_FILE=`grep "pidfile" ${CONF}|cut -d ' ' -f2`

    PID_FILE=${PID_FILE:=/var/run/redis.pid}

    LOCKFILE="/var/lock/subsys/redis-${REDIS_PORT}"

    if [ ! -x $REDIS ]; then

    echo -n $"$REDIS not exist.";warning;echo

    exit 0

    fi

    start() {

    echo -n $"Starting $PROG: "

    $REDIS $CONF

    RETVAL=$?

    if [ $RETVAL -eq 0 ]; then

    success;echo;touch $LOCKFILE

    else

    failure;echo

    fi

    return $RETVAL

    }

    stop() {

    echo -n $"Stopping $PROG: "

    if [ -f $PID_FILE ] ;then

    read PID

    else

    failure;echo;

    echo -n $"$PID_FILE not found.";failure;echo

    return 1;

    fi

    if checkpid $PID; then

    kill -TERM $PID >/dev/null 2>&1

    RETVAL=$?

    if [ $RETVAL -eq 0 ] ;then

    success;echo

    echo -n "Waiting for Redis to shutdown .."

    while checkpid $PID;do

    echo -n "."

    sleep 1;

    done

    success;echo;rm -f $LOCKFILE

    else

    failure;echo

    fi

    else

    echo -n $"Redis is dead and $PID_FILE exists.";failure;echo

    RETVAL=7

    fi

    return $RETVAL

    }

    restart() {

    stop

    start

    }

    rhstatus() {

    status -p ${PID_FILE} $PROG

    }

    hid_status() {

    rhstatus >/dev/null 2>&1

    }

    case "$1" in

    start)

    hid_status && exit 0

    start

    ;;

    stop)

    rhstatus || exit 0

    stop

    ;;

    restart)

    restart

    ;;

    status)

    rhstatus

    RETVAL=$?

    ;;

    *)

    echo $"Usage: $0 -p [port] {start|stop|status|restart}"

    RETVAL=1

    esac

    exit $RETVAL

    转自:http://blog.csdn.net/awj3584/article/details/42105125

    展开全文
  • linux关闭redis命令 redis配置redis的服务器启动关闭发布时间:2017-04-13来源:服务器之家# chkconfig: 2345 10 90# description: Start and Stop redisPATH=/usr/local/devtools/redis/src:/sbin:/usr/bin:/...

    linux关闭redis命令 redis配置redis的服务器启动和关闭

    发布时间:2017-04-13

    来源:服务器之家

    # chkconfig: 2345 10 90

    # description: Start and Stop redis

    PATH=/usr/local/devtools/redis/src:/sbin:/usr/bin:/bin

    REDISPORT=6379

    EXEC=/usr/local/devtools/redis/src/redis-server

    REDIS_CLI=/usr/local/devtools/redis/src/redis-cli

    PIDFILE=/var/run/redis.pid

    CONF="/usr/local/devtools/redis/redis.conf"

    AUTH="1234"

    case "$1" in

    start)

    if [ -f $PIDFILE ]

    then

    echo "$PIDFILE exists, process is already running or crashed."

    else

    echo "Starting Redis server..."

    $EXEC $CONF

    fi

    if [ "$?"="0" ]

    then

    echo "Redis is running..."

    fi

    ;;

    stop)

    if [-f $PIDFILE ]

    then

    echo "$PIDFILE exists, process is not running."

    else

    PID=$(cat $PIDFILE)

    echo "Stopping..."

    $REDIS_CLI -p $REDISPORT SHUTDOWN

    sleep 2

    while [ -x $PIDFILE ]

    do

    echo "Waiting for Redis to shutdown..."

    sleep 1

    done

    echo "Redis stopped"

    fi

    ;;

    restart|force-reload)

    ${0} stop

    ${0} start

    ;;

    *)

    echo "Usage: /etc/init.d/redis {start|stop|restart|force-reload}" >&2

    exit 1

    esac

    2、给文件添加权限,使用脚本文件可以执行,命令为:chmod 755 /etc/init.d/redis

    3、以上工作顺利完成并且没有出现报错,则配置完成。每次开机之后,我们输入以下两个命令就可以启动和关闭redis服务了,如图所示:

    a、service redis start  开启redis服务

    b、service redis stop 关闭redis服务

    4、在大部分情况下,我们需要服务器重新启动的时候自动开启redis,而不是我们手工的去开启,那么下来就说一下开机自动启动的设置。

    首先设置redis.config中的daemonize为yes,确保守护进行开启,执行以下命令:

    (1)、cd /usr/local/devtools/redis

    (2)、vi redis.conf 开启配置文件,找到daemonize属性就设置为yes, 保存并且退出即可。

    (3)、然后设置开机启动,命令:chkconfig redis on

    当以上步骤完成之后,即可以可以重新启动Linux然后按照前面所写的测试是否随机器自动启动了。

    =====================redis配置完成===============================

    展开全文
  • 亲爱的小伙伴们咱们6月开课计划已出座位有限感兴趣的小伙伴赶紧预约啦建策科技6月开班计划linux安装redis1.下载redis安装包,在root目录下执行2.解压redis安装包3.进入redis目录4.编译5.安装6.拷贝redis.conf到安装...

    亲爱的小伙伴们

    咱们6月开课计划已出

    座位有限

    感兴趣的小伙伴赶紧预约啦

    建策科技6月开班计划

    linux安装redis1.下载redis安装包,在root目录下执行

    f91a6279c7e9d714b384f78a3a3cc012.png

    2.解压redis安装包

    ea0a0cae90e6c9631a5a10942e63ab5e.png

    3.进入redis目录

    85ac1c2678a7dcd1f6a33be1fa36fe41.png

    4.编译

    586232cde45237037a7e6792aa2a865c.png

    5.安装

    db021ee986378a1451ea421ec6428875.png

    6.拷贝redis.conf到安装目录

    53c36f6a4764c32a45b0780d04696ac2.png

    7.进入 /usr/local/redis目录

    10d071f79468168a5f6285fd82f0d9db.png

    8.编辑redis.conf

    b1901d297883a7f8265ad9b4d3d538e8.png

    9.后端启动redis:

    20cb15bc8f48067aa6c34844056ca17e.png

    10.查看是否启动成功:

    2aae976d0a3374ae8c80d43b53245385.png

    11.进入客户端:

    59f048193eac8ddb65153a29a7084d10.png

    12.关闭redis进程

    eb73b2a4028fc3509896a1e0440251fc.png

    ————————————————

    版权声明:本文为CSDN博主「谦卑不醉*_*」的原创文章,遵循CC 4.0 BY-SA版权协议,转载请附上原文出处链接及本声明。

    原文链接https://blog.csdn.net/huang_shuai_hs/article/details/106660863

    【凡本网注明来源非建策科技的作品,均转载自其它媒体,目的在于传递更多信息,并不代表本网赞同其观点和对其真实性负责。】

    如果您对技术帖有任何疑问,请联系官方邮箱jcit@jiancenj.com

    欢迎广大学员踊跃投稿,一经录用,有稿费酬谢

    END

    vlan技术的微妙之处

    组播静态路由对RPF机制的实现

    如何从服务器处获取地址

    Linux系统文件目录管理常用命令

    7c20b227a773a6a0cf271afb9a7cfb41.png

    展开全文
  • 一 下载 Redis 安装包去redis 官网下载reids 安装包, redis 官网默认只提供Linux 的安装包,所以不用担心下载到windows 的安装包.笔者下载的是 redis-3.2.1.tar.gz. 下载的为redis 源码,应该使用源码安装方式安装...

    edis 在Linux 和 在Windows 下的安装是有很大的不同的,和通常的软件安装是一样的.

    一  下载 Redis 安装包

    去redis 官网下载reids 安装包, redis 官网默认只提供Linux 的安装包,所以不用担心下载到windows 的安装包.笔者下载的是 redis-3.2.1.tar.gz. 下载的为redis 源码,应该使用源码安装方式安装redis.

    二 安装redis

    1. 解压: tar -zxvf redis-3.2.1.tar.gz

    2. 进入解压后的目录,并执行编译操作:  make test

    3. 编译测试结束后,出现以下信息,证明没有问题:编译的命令放在src目录下

    4. 编译成功之后,执行install操作即可:sudo make install

    5. 目前redis 已经安装成功了redis 的相关命令都存放在../redis-3.2.1/src 目录下,同时在/usr/local/bin/ 目录下生成了如下文件:

    二 redis 的卸载

    1. 查看reids 是否在运行,如果在运行的话,先关闭

    从图上可以看出,redis-server 目前正在6379 端口运行

    2. 如果redis-server 服务正在后台运行,那么需停止redis-server 服务:

    正常停止redis-server 服务,使用reids 客户端命令: redis-cli shutdown

    如果停止不了,则采取杀死进程的方式:kill -9 PID

    3. 删除/usr/local/lib 目录下与redis 相关的命令:

    4. 删除redis 解压后的目录 redis-3.2.1 即可

    三 redis 的启动

    redis 安装成功之后,会生成相应的reids 命令文件, 所有的命令都在src 目录下,同时会再/usr/local/bin 目录下生成reids-* 的几个命令,这样我们在调用redis 的相关命令的时候可以不使用绝对路径.启动reids 有很多中方式,后台启动,脚本启动等.

    1. redis 后台启动: redis-server &

    此种方式没有指定配置文件,会使用默认的配置,并打印一个Warning: no config file ....

    按ctrl + C 可退出redis 启动窗口,此时redis 并不会关闭,而是会再后台运行,可通过命令查看: ps aux | grep redis

    2. 指定配置文件启动: redis-server  ***/redis.conf

    解压redis 的原文后, 目录中有一个redis 配置模板 redis.conf , 我们可以复制一份,然后修改成自己的redis配置文件. 此处笔者只修改一个端口号, 将端口号修改为8080, 然后使用 此配置文件启动redis 服务

    关闭使用命令: redis-cli -p 8080 shutdown

    3. 设置开机启动:

    四 redis 客户客户段连接:

    redis 安装成功之后,会生成redis-cli 客户端, 可以通过redis-cli 命令连接本地或者远程的redis服务器.redis-cli 命令有很多参数,常用的选项有-h -p -u -a , 对应于ip地址,端口号,用户名,密码,可通过 redis-cli --help 来查看redis-cli 的常用选项

    1. 连接本地redis 示例:

    2. 连接远程redis:

    五 关闭redis

    1. 正常关闭本地redis :  redis-cli shutdown, 默认关闭本地6379的redis

    如果正常关闭不了,可以通过杀死线程关闭:

    2. 远程关闭redis 服务器: redis-cli -h xxx.xxx.xxx.xxx  -p xxxx -u xxxx -a xxxx  shutdown

    展开全文
  • 1.停止redis (进入redis安装目录)[root@JDu4e00u53f7 redis]# ./bin/redis... 启动redis[root@JDu4e00u53f7 redis]# ./bin/redis-server /usr/local/redis/etc/redis.conf3.使用redis[root@JDu4e00u53f7 redis]# ./b...
  • 如果的Linux可以链接网络,那么可以直接联网下载。直接输入代码:wget http://Redis.googlecode.com/files/Redis-3.0.2.tar.gz但是不建议这么做,因为google再中国的服务好像被封了,可能会链接不上。所以我们直接去...
  • 官网有安装命令2、以下是我的执行过程截图执行完官网给的命令以后,再执行 make PREFIX=/usr/local/redis install 安装到指定路径。如下图3、然后拷贝conf文件。cp /home/redis-4.0.8/redis.conf /usr/local/redis/ ...
  • 原文 -...一 下载 Redis 安装包去redis 官网下载reids 安装包, redis 官网默认只提供Linux 的安装包,所以不用担心下载到windows 的安装包.笔者下载的是...
  • Linuxredis常用命令

    2019-12-11 15:27:26
    redis启动: 直接进入redis的安装目录下的src目录,里面有全部的redis脚本文件 启动redis: 其中redis-server就是我们启动需要的脚本 直接执行命令就可启动redis:./redis-server 查看服务器中redis的所有...
  • Linux关闭redis命令

    千次阅读 2019-07-17 21:10:07
    root@song-PC:~# redis-cli ...Linux下以指定配置文件启动redis: root@song-PC:~# cd /etc/redis/ root@song-PC:/etc/redis# ls dump.rdb redis-server.post-down.d redis-server.pre-down.d redis.conf redis...
  • 二、配置、启动、操作、关闭Redis 启动Redis服务 方法一、默认配置 方法二、运行启动 方法三、配置文件启动(常用) redis-cli连接Redis服务器 方法一:交互式方式 方式二:命令式 停止Redis服务 方式一:...
  • Linux启动关闭Redis

    2020-08-14 11:24:39
    之前写了安装Redis,虽然也写了启动关闭,但是需要大量的时间去找,所以这次直接提出来,便于初学者查看。 一、前台启动 1、首先进入到Redis的src目录下: 执行命令:cd /redis-6.0.4/src 2、接着执行命令: ./...
  • redis服务启动关闭以及其他命令实践

    千次阅读 2015-12-21 21:01:00
    启动 Redis 服务 redis-server或者redis-server redis.conf redis-server redis.conf 1>log.log 2>errlog.log ...将 Redis 作为 Linux 服务随机启动 vim /etc/rc.local, 加入代码: /root/install/redis-2.8.
  • 前端启动命令./redis-server 前端启动关闭 强制关闭 ctrl+c 正常关闭 ./redis-cli shutdown tips:一旦客户端关闭,则redis服务也会停掉 后端启动redis 源码包中的 redis.conf 文件拷贝至 bin 目录下 cp /...
  • ____tz_zs 安装 ubuntu ...命令redis-server 或,使用&可以强行隐藏界面:redis-server & 11509:C 26 Nov 14:43:02.079 # Warning: no config file specified, using ...
  • 具体的安装方法就不说了有很多教程,这里说下怎么启动关闭以及遇到的问题。 这是我Windows 下Redis的安装目录 Win+R 打开 cmd 命令 输入d: 到redis安装的目录D盘下 进入到目录下 运行命令: redis-server...
  • 用客户端连接Linux 系统,cd 到根目录。 依次输入一下命令: [root@root /]# wget http://download.redis.io/releases/redis-5.0.5.tar.gz //下载Redis包 [root@root /]# tar -zxvf redis-5.0.5.tar.gz //解压...
  • Linux服务器上安装redis并启动下载redis上传到linux服务器开始命令安装配置redis.conf复制到指定目录复制到指定目录修改redis.conf将redis改为后端模式启动修改远程访问后端模式启动redis查看redis启动服务关闭redis...
  • 目录 Linux(Centos8.0)安装Redis ...配置、启动、操作、关闭Redis 启动Redis 默认配置 运行启动 配置文件启动 Redis命令行客户端 第一种是交互式方式 第二种是命令方式 停止Redis服务 Linux(Cento
  • RedisLinux下的安装、启动关闭

    万次阅读 2018-07-31 13:42:41
    使用apt命令安装  安装命令 sudo apt install redis-server 使用make编译安装  安装命令 wget http://download.redis.io/releases/redis-4.0.10.tar.gz tar xzf redis-4.0.10.tar.gz cd redis-4.0.10 make...
  • 1、打开官网... 执行完官网给的命令以后,再执行 make PREFIX=/usr/local/redis install 安装到指定路径。如下图   3、然后拷贝conf文件。cp /home/redis-4.0.8/redis.conf /usr/local/red...
  • redis命令

    2019-12-11 10:09:38
    一.linux命令 1)启动:进入usr/local/bin/ 执行:./redis-server /home/....../redis-2.5/redis-config & 2)redis关闭与重启 启动redis-server & 关闭redis-cli -p 6379 shutdown...
  • linux 配置redis

    2017-05-05 14:50:57
    redis 的压缩包解压后, 要 执行下 make 命令, 编译下,  ...加 & 的原因是 让 redis 后台执行, 不然 就是当前窗口启动, 一但窗户关闭redis 就停止了 redis 启动 如下图。 查看redis 进程 :
  • Linux启动软件命令 tomcat启动:/opt/tomcat/apache-tomcat-7.0.54/bin/startup.sh tomcat 关闭:/opt/tomcat/apache-tomcat-7.0.54/bin/shutdown.sh ...redis启动服务:/opt/redis/bin/redis-server /opt/r
  • Linuxredis基本操作

    2019-03-17 19:05:09
    redis服务启动关闭 redis服务启动redis-server /myredis/redis.conf –>指定redis配置文件路径; –>在/usr/local/bin路径下有redis-server命令;否则,就只能去redis安装路径的src...
  • 1.mysql ./mysqld_safe & 2.redis ./redis-server ../redis.conf & 3.rabbit rabbitmq-server start 开启 ...fastdfs需要再nginx_fdfs里面开启 命令都是一样的 ./sbin/nginx -c ./conf...
  • redis常用命令

    2020-05-29 15:57:31
    操作系统 CentOS Linux 7 redis-5.0.4 ...redis-cli -p 6379 shutdown 或者 ps -ef |grep redis kill -9 PID号 关闭redis服务器. String 类型 set 添加k-v set a a get 根据k...
  • 一、 Linux安装Redis 安装 下载安装包 wget http://download.redis.io/releases/redis-4.0.0.tar.gz 对文件进行解压 tar -zxvf redis-4.0.0.tar.gz 编译,进入redis-4.0.0 目录下执行 make 命令进行编译 ...

空空如也

空空如也

1 2 3 4 5 ... 7
收藏数 126
精华内容 50
关键字:

linuxredis启动关闭命令

linux 订阅
redis 订阅